Back to X (Twitter)
Apify·X (Twitter)

Tweet Scraper V2 - X / Twitter Scraper

/apidojo/tweet-scraperasync$0.003 / result

Lightning-fast search, URL, list, and profile scraping, with customizable filters. At $0.40 per 1000 tweets, and 30-80 tweets per second, it is ideal for researchers, entrepreneurs, and businesses! Get comprehensive insights from Twitter (X) now! Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarray

    Twitter (X) URLs. Paste the URLs and get the results immediately. Tweet, Profile, Search or List URLs are supported.

  • searchTermsarray

    Search terms you want to search from Twitter (X). You can refer to https://github.com/igorbrigadir/twitter-advanced-search.

  • twitterHandlesarray

    Twitter handles that you want to search on Twitter (X)

  • conversationIdsarray

    Conversation IDs that you want to search on Twitter (X)

  • maxItemsinteger

    Maximum number of items that you want as output.

  • sortstring

    Sorts search results. If you are getting low results, try Top instead of Latest. Latest + Top runs both simultaneously to maximize results but may return some duplicate tweets.

    Top, Latest, Latest + Top

  • tweetLanguagestring

    Restricts tweets to the given language, given by an ISO 639-1 code.

    ab, aa, af, ak, sq, am, ar, an, …

  • onlyVerifiedUsersboolean

    If selected, only returns tweets by users who are verified.

  • onlyTwitterBlueboolean

    If selected, only returns tweets by users who are Twitter Blue subscribers.

  • onlyImageboolean

    If selected, only returns tweets that contain images.

  • onlyVideoboolean

    If selected, only returns tweets that contain videos.

  • onlyQuoteboolean

    If selected, only returns tweets that are quotes.

  • authorstring

    Returns tweets sent by the given user. It should be a Twitter (X) Handle.

  • inReplyTostring

    Returns tweets that are replies to the given user. It should be a Twitter (X) Handle.

  • mentioningstring

    Returns tweets mentioning the given user. It should be a Twitter (X) Handle.

  • geotaggedNearstring

    Returns tweets sent near the given location.

  • withinRadiusstring

    Returns tweets sent within the given radius of the given location.

  • geocodestring

    Returns tweets sent by users located within a given radius of the given latitude/longitude.

  • placeObjectIdstring

    Returns tweets tagged with the given place.

  • minimumRetweetsinteger

    Returns tweets with at least the given number of retweets.

  • minimumFavoritesinteger

    Returns tweets with at least the given number of favorites.

  • minimumRepliesinteger

    Returns tweets with at least the given number of replies.

  • startstring

    Returns tweets sent after the given date.

  • endstring

    Returns tweets sent before the given date.

  • includeSearchTermsboolean

    If selected, a field will be added to each tweets about the search term that was used to find it.

  • customMapFunctionstring

    Function that takes each of the objects as argument and returns data that will be mapped by the function itself. This function is not intended for filtering, please don't use it for filtering purposes or you will get banned automatically.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apidojo/tweet-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.